%define  patch_name kernel-feat-xenomai

Name: %patch_name
Version: 2006.07.12
Release: alt1
Summary: %patch_name kernel patch - Xenomai real-time framework
License: GPL
Group: Development/Other
BuildArch: noarch

%source 1 xenomai-2.1.2.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildPreReq: kernel-build-tools
URL: http://home.xenomai.org

%description
This package contains the kernel-space part of Xenomai - real-time development
framework, which provide a pervasive, interface-agnostic, hard real-time
support to user-space applications, seamlessly integrated into the GNU/Linux
environment based on an abstract RTOS core, usable for building any kind of
real-time interfaces, over a nucleus which exports a set of generic RTOS
services. Next list of RTOS personalities called "skins" built over the
nucleus, providing their own specific interface to the applications:
posix, psos, uitron, vrtx, vxworks, rtdm, rtai.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sat Jul 15 2006 Evgeny Sinelnikov <sin@altlinux.ru> 2006.07.12-alt1
- Initial build for ALT Linux
- Patch build with prepare-kernel.sh over kernel patched with adeos-ipipe-2.6.16-i386-1.3-07
